Expand my Community achievements bar.

Applications for the 2024-2025 Adobe Experience Manager Champion Program are open!
SOLVED

Unable to create a project setup using archetypeVersion 22 and 41 for AEM 6.5

Avatar

Level 1

I am using AEM 6.5.0 and trying to generate a project using archetype 22, but getting below error,

 

mvn archetype:generate -B ^
-DarchetypeGroupId=com.adobe.granite.archetypes ^
-DarchetypeArtifactId=aem-project-archetype ^
-DarchetypeVersion=22 ^
-DgroupId=com.nioya.aem.test ^
-Dversion=0.0.1-SNAPSHOT ^
-DappsFolderName=nioya ^
-DartifactId=aem-guides-nioya ^
-Dpackage=com.nioya.aem.test ^
-DartifactName="Nioya Test Sites Project" ^
-DcomponentGroupName=NIOYA ^
-DconfFolderName=nioya ^
-DcontentFolderName=nioya ^
-DcssId=nioya ^
-DisSingleCountryWebsite=n ^
-Dlanguage_country=en_us ^
-DoptionAemVersion=6.5.0 ^
-DoptionDispatcherConfig=none ^
-DoptionIncludeErrorHandler=n ^
-DoptionIncludeExamples=y ^
-DoptionIncludeFrontendModule=y ^
-DpackageGroup=nioya ^
-DsiteName="Nioya Site"

 

I also tried with latest archetype 41 and 23 and few other lower version but I get below error when I used 39 version,

 

mvn -B org.apache.maven.plugins:maven-archetype-plugin:3.2.1:generate ^
-D archetypeGroupId=com.adobe.aem ^
-D archetypeArtifactId=aem-project-archetype ^
-D archetypeVersion=39 ^
-D appTitle="WKND Sites Project" ^
-D appId="wknd" ^
-D groupId="com.adobe.aem.guides" ^
-D artifactId="aem-guides-wknd" ^
-D package="com.adobe.aem.guides.wknd" ^
-D version="0.0.1-SNAPSHOT" ^
-D aemVersion="6.5.0"

 

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:3.2.1:generate (default-cli) on project standalone-pom: java.nio.file.FileSystemException: D:\Prashanth\codebase\poc\aem-guides-wknd\dispatcher\src\conf.d\enabled_vhosts\aem_author.vhost: A required privilege is not held by the client. -> [Help 1]

 

Could anyone please tell me what archetypeVersion to create a project setup for AEM 6.5.0 version?

 

Note - I have java version 11 and maven version 3.9.1 and I have below profiles in settings.xml

 

 

<profile>
      <id>adobe-public</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <releaseRepository-Id>adobe-public-releases</releaseRepository-Id>
        <releaseRepository-Name>Adobe Public Releases</releaseRepository-Name>
        <releaseRepository-URL>http://repo.adobe.com/nexus/content/groups/public</releaseRepository-URL>
      </properties>
      <repositories>
        <repository>
          <id>adobe-public-releases</id>
          <name>Adobe Basel Public Repository</name>
          <url>http://repo.adobe.com/nexus/content/groups/public</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>never</updatePolicy>
          </releases>
          <snapshots>
            <enabled>false</enabled>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>adobe-public-releases</id>
          <name>Adobe Basel Public Repository</name>
          <url>http://repo.adobe.com/nexus/content/groups/public</url>
          <releases>
            <enabled>true</enabled>
            <updatePolicy>never</updatePolicy>
          </releases>
          <snapshots>
            <enabled>false</enabled>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>

 

 

 

1 Accepted Solution

Avatar

Correct answer by
Level 2

Hi @PrashanthR 

 

Can you try with latest archetype i.e 41

check this link  - https://github.com/adobe/aem-project-archetype

Try to run this command with 'Run as Administrator' in command prompt -

mvn -B archetype:generate -D archetypeGroupId=com.adobe.aem -D archetypeArtifactId=aem-project-archetype -D archetypeVersion=41 -D appTitle="AEM GEEKS" -D appId="aemgeeks" -D groupId="com.aem.geeks" -D artifactId="aem-geeks" -D package="com.aem.geeks" -D version="0.0.1-SNAPSHOT" -D aemVersion="6.5.10"

 

Please Refer - 

Thanks

 

 

View solution in original post

3 Replies

Avatar

Employee Advisor

Have you tried running the command using 'Run as Administrator' option rather than normal command prompt window.

Avatar

Level 1

yes, I tried with Administrator but getting the same error 

Avatar

Correct answer by
Level 2

Hi @PrashanthR 

 

Can you try with latest archetype i.e 41

check this link  - https://github.com/adobe/aem-project-archetype

Try to run this command with 'Run as Administrator' in command prompt -

mvn -B archetype:generate -D archetypeGroupId=com.adobe.aem -D archetypeArtifactId=aem-project-archetype -D archetypeVersion=41 -D appTitle="AEM GEEKS" -D appId="aemgeeks" -D groupId="com.aem.geeks" -D artifactId="aem-geeks" -D package="com.aem.geeks" -D version="0.0.1-SNAPSHOT" -D aemVersion="6.5.10"

 

Please Refer - 

Thanks